## mpdas 0.4.5

=== Makefile ===
VERSION = 0.4.5

CXX	?= g++
OBJ	= main.o md5.o utils.o mpd.o audioscrobbler.o cache.o config.o ini.o
OUT	= mpdas
PREFIX ?= /usr/local
MANPREFIX ?= ${PREFIX}/man/man1
CONFIG ?= $(PREFIX)/etc

CXXFLAGS	+= `pkg-config --cflags libmpdclient libcurl`
LIBS		= `pkg-config --libs libmpdclient libcurl`

CXXFLAGS	+= -DCONFDIR="\"$(CONFIG)\"" -DVERSION="\"$(VERSION)\""


all: $(OUT)

.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

$(OUT): $(OBJ)
	$(CXX) $(LDFLAGS) $(OBJ) $(LIBS) -o $(OUT)

clean:
	rm -rf $(OBJ) $(OUT)

install: all
	install -d ${DESTDIR}${PREFIX}/bin
	install -d ${DESTDIR}${MANPREFIX}
	install -m 755 mpdas ${DESTDIR}${PREFIX}/bin
	install -m 644 mpdas.1 ${DESTDIR}${MANPREFIX}/mpdas.1

uninstall:
	-rm ${DESTDIR}${PREFIX}/bin/mpdas
	-rm ${DESTDIR}${MANPREFIX}/mpdas.1

=== debian/changelog ===
mpdas (0.4.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:33 +0100

mpdas (0.4.5-1) unstable; urgency=low

  * Initial release (Closes: #664647)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 27 Nov 2018 12:43:29 +0500

=== debian/control ===
Source: mpdas
Section: net
Priority: optional
Maintainer: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               libcurl4-openssl-dev,
               libmpdclient-dev,
               lsb-release,
               pkg-config
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://50hz.ws/mpdas/
Vcs-Browser: https://salsa.debian.org/debian/mpdas
Vcs-Git: https://salsa.debian.org/debian/mpdas.git

Package: mpdas
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: AudioScrobbler client for MPD
 This package provides a MPD AudioScrobbler client supporting the 2.0
 protocol specs.
 .
 It uses libmpdclient to retrieve the song data from MPD and libcurl
 to post it to Last.fm or Libre.fm.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PREFIX=/usr
export CONFIG=/etc
export MANPREFIX=/usr/share/man/man1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
